Bug 435132 - rpmlint output is not clean
rpmlint output is not clean
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xerces-c (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 11:11 EST by Xavier Bachelot
Modified: 2008-07-08 22:53 EDT (History)
0 users

See Also:
Fixed In Version: 2.8.0-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 22:53:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2008-02-27 11:11:48 EST
Description of problem:
rpmlint output is not clean on both the versions in F8 and in devel (I did not
check F7, but it's likely the same as F8).

Here are some fixes' suggestions :

Replace Apache Software License with ASL 2.0

Only for 2.8.0 :

rm doc/html/apiDocs/XMLRegisterCleanup_8hpp__incl.map
rm doc/html/apiDocs/XSConstants_8hpp__incl.map
sed -i 's/\r//' doc/charter.xml


For both 2.7.0 and 2.8.0 (except doc/migration.xml which is ok in 2.8.0) :

iconv -f iso8859-1 -t utf-8 credits.txt > credits.txt.conv && mv -f
credits.txt.conv credits.txt;
for i in feedback.xml migration.xml releases_archive.xml; do {
        iconv -f iso8859-1 -t utf-8 doc/$i > doc/$i.conv && mv -f doc/$i.conv
doc/$i;
        };
done;
Comment 1 Xavier Bachelot 2008-04-09 06:32:49 EDT
Peter, is there anything wrong with this bug report ?
Comment 2 Bug Zapper 2008-05-14 01:40:10 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2008-06-30 10:40:21 EDT
xerces-c-2.8.0-2.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-06-30 10:42:49 EDT
xerces-c-2.8.0-2.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-07-01 01:25:14 EDT
xerces-c-2.8.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xerces-c'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5877
Comment 6 Fedora Update System 2008-07-08 22:53:06 EDT
xerces-c-2.8.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.